﻿**********************************************************************************************.
COMPUTING VARIABLES.
**********************************************************************************************.
*INCLUSION BLOCK OF TRIALS*.
*Computing critical trials for hand values with bet related primes*.
*Higher numbers indicate more bet decisions*.
COMPUTE HBet1 = MEAN(HBet8e, HBet8g).
COMPUTE HBet2 = MEAN(HBet9a, HBet9c).
COMPUTE HBet3 = MEAN(HBet10e, HBet10g).
COMPUTE HBet4 = MEAN(HBet11a, HBet11c).
COMPUTE HBet5 = MEAN(HBet12e, HBet12g).
COMPUTE HBet6 = MEAN(HBet13a, HBet13c).
COMPUTE HBet7 = MEAN(HBet14e, HBet14g).
COMPUTE HBet8 = MEAN(HBet15a, HBet15c).
COMPUTE HBet9 = MEAN(HBet16e, HBet16g).
COMPUTE HBet10 = MEAN(HBet17a, HBet17c).
EXECUTE.

*Computing critical trials for hand values with pass related primes*.
*Higher numbers indicate more bet decisions*.
COMPUTE HPass1 = MEAN(HPass8f, HPass8h).
COMPUTE HPass2 = MEAN(HPass9b, HPass9d).
COMPUTE HPass3 = MEAN(HPass10f, HPass10h).
COMPUTE HPass4 = MEAN(HPass11b, HPass11d).
COMPUTE HPass5 = MEAN(HPass12f, HPass12h).
COMPUTE HPass6 = MEAN(HPass13b, HPass13d).
COMPUTE HPass7 = MEAN(HPass14f, HPass14h).
COMPUTE HPass8 = MEAN(HPass15b, HPass15d).
COMPUTE HPass9 = MEAN(HPass16f, HPass16h).
COMPUTE HPass10 = MEAN(HPass17b, HPass17d).
EXECUTE.

*Computing whether Ps only pushed one button*.
*A mean of zero or one would indicate the participant only pushed one button throughout the whole card game procedure*.
*No participants only pushed one button throughout the whole procedure. Therefore, all participants are included in the analyses*.
COMPUTE SingleResponseHint = MEAN(HPass4a, HBet5a, HPass6a, HBet8e, 
HPass8f, HBet8g, HPass8h, HBet9a, HPass9b, HBet9c, HPass9d, HBet10e,
HPass10f, HBet10g, HPass10h, HBet11a, HPass11b, HBet11c, HPass11d,
HBet12e, HPass12f, HBet12g, HPass12h, HBet13a, HPass13b, HBet13c,
HPass13d, HBet14e, HPass14f, HBet14g, HPass14h, HBet15a, HPass15b, 
HBet15c, HPass15d, HBet16e, HPass16f, HBet16g, HPass16h, HBet17a,
HPass17b, HBet17c, HPass17d, HBet20a, HPass21a).
EXECUTE.

***********************************************************.
*EXCLUSION BLOCK OF TRIALS*.
*Computing critical trials for hand values with bet related primes*.
*Higher numbers indicate more bet decisions*.
COMPUTE NBet1 = MEAN(NBet8a, NBet8c).
COMPUTE NBet2 = MEAN(NBet9e, NBet9g).
COMPUTE NBet3 = MEAN(NBet10a, NBet10c).
COMPUTE NBet4 = MEAN(NBet11e, NBet11g).
COMPUTE NBet5 = MEAN(NBet12a, NBet12c).
COMPUTE NBet6 = MEAN(NBet13e, NBet13g).
COMPUTE NBet7 = MEAN(NBet14a, NBet14c).
COMPUTE NBet8 = MEAN(NBet15e, NBet15g).
COMPUTE NBet9 = MEAN(NBet16a, NBet16c).
COMPUTE NBet10 = MEAN(NBet17e, NBet17g).
EXECUTE.

*Computing critical trials for hand values with pass related primes*.
*Higher numbers indicate more bet decisions*.
COMPUTE NPass1 = MEAN(NPass8b, NPass8d).
COMPUTE NPass2 = MEAN(NPass9f, NPass9h).
COMPUTE NPass3 = MEAN(NPass10b, NPass10d).
COMPUTE NPass4 = MEAN(NPass11f, NPass11h).
COMPUTE NPass5 = MEAN(NPass12b, NPass12d).
COMPUTE NPass6 = MEAN(NPass13f, NPass13h).
COMPUTE NPass7 = MEAN(NPass14b, NPass14d).
COMPUTE NPass8 = MEAN(NPass15f, NPass15h).
COMPUTE NPass9 = MEAN(NPass16b, NPass16d).
COMPUTE NPass10 = MEAN(NPass17f, NPass17h).
EXECUTE.

*Computing whether Ps only pushed one button*.
*A mean of zero or one would indicate the participant only pushed one button throughout the whole card game procedure*.
*No participants only pushed one button throughout the whole procedure. Therefore, all participants are included in the analyses*.
COMPUTE SingeResponseN = MEAN(NBet8a, NPass8b, NBet8c, NPass8d,
NBet9e, NPass9f, NBet9g, NPass9h, NBet10a, NPass10b, NBet10c,
NPass10d, NBet11e, NPass11f, NBet11g, NPass11h, NBet12a, NPass12b,
NBet12c, NPass12d, NBet13e, NPass13f, NBet13g, NPass13h, NBet14a,
NPass14b, NBet14c, NPass14d, NBet15e, NPass15f, NBet15g, NPass15h,
NBet16a, NPass16b, NBet16c, NPass16d, NBet17e, NPass17f, NBet17g,
NPass17h, NPass20a, NBet21a, NBet4a, NPass5a, NBet6a).
EXECUTE.

**********************************************************************************************.
SAMPLE DESCRIPTIVES.
**********************************************************************************************.
FREQUENCIES VARIABLES=Gender Age
  /STATISTICS=STDDEV MINIMUM MAXIMUM MEAN MEDIAN MODE SKEWNESS SESKEW
  /ORDER=ANALYSIS.

**********************************************************************************************.
ANALYSES.
**********************************************************************************************.
*First, we will run a repeated measures ANOVA*.
*One IV is prime type (bet vs pass). The second IV is hand value which of the critical trials (there are 10 levels of this IV). The third IV is block type (inclusion vs exclusion) *.
*The DV is proportion of times the participant decided to bet*.
GLM HBet1 HBet2 HBet3 HBet4 HBet5 HBet6 HBet7 HBet8 HBet9 HBet10 HPass1 HPass2 HPass3 HPass4 HPass5 
    HPass6 HPass7 HPass8 HPass9 HPass10 NBet1 NBet2 NBet3 NBet4 NBet5 NBet6 NBet7 NBet8 NBet9 NBet10 
    NPass1 NPass2 NPass3 NPass4 NPass5 NPass6 NPass7 NPass8 NPass9 NPass10
  /WSFACTOR=Hint 2 Polynomial Prime 2 Polynomial Hand 10 Polynomial 
  /METHOD=SSTYPE(3)
  /PLOT=PROFILE(Hand*Prime*Hint Hand*Prime)
  /EMMEANS=TABLES(Prime*Hand*Hint) 
  /PRINT=DESCRIPTIVE ETASQ 
  /CRITERIA=ALPHA(.05)
  /WSDESIGN=Hint Prime Hand Hint*Prime Hint*Hand Prime*Hand Hint*Prime*Hand.

****************************.
*Breaking down the interaction*.
*INCLUSION BLOCK*.
*One IV is prime type (bet vs pass). The other IV is hand value which of the critical trials (there are 10 levels of this IV)*.
*The DV is proportion of times the participant decided to bet*.
GLM HBet1 HBet2 HBet3 HBet4 HBet5 HBet6 HBet7 HBet8 HBet9 HBet10 HPass1 HPass2 HPass3 HPass4 HPass5 
    HPass6 HPass7 HPass8 HPass9 HPass10
  /WSFACTOR=Bet 2 Polynomial hand 10 Polynomial 
  /METHOD=SSTYPE(3)
  /EMMEANS=TABLES(Bet) COMPARE ADJ(LSD)
  /EMMEANS=TABLES(hand) COMPARE ADJ(LSD)
  /EMMEANS=TABLES(Bet*hand) 
  /PRINT=DESCRIPTIVE ETASQ 
  /CRITERIA=ALPHA(.05)
  /WSDESIGN=Bet hand Bet*hand.

****************************.
*Breaking down the interaction*.
*INCLUSION BLOCK*.
T-TEST PAIRS=HBet10 WITH HPass10 (PAIRED)
  /CRITERIA=CI(.9500)
  /MISSING=ANALYSIS.

T-TEST PAIRS=HBet9 WITH HPass9 (PAIRED)
  /CRITERIA=CI(.9500)
  /MISSING=ANALYSIS.

T-TEST PAIRS=HBet8 WITH HPass8 (PAIRED)
  /CRITERIA=CI(.9500)
  /MISSING=ANALYSIS.

T-TEST PAIRS=HBet7 WITH HPass7 (PAIRED)
  /CRITERIA=CI(.9500)
  /MISSING=ANALYSIS.

T-TEST PAIRS=HBet6 WITH HPass6 (PAIRED)
  /CRITERIA=CI(.9500)
  /MISSING=ANALYSIS.

T-TEST PAIRS=HBet5 WITH HPass5 (PAIRED)
  /CRITERIA=CI(.9500)
  /MISSING=ANALYSIS.

T-TEST PAIRS=HBet4 WITH HPass4 (PAIRED)
  /CRITERIA=CI(.9500)
  /MISSING=ANALYSIS.

T-TEST PAIRS=HBet3 WITH HPass3 (PAIRED)
  /CRITERIA=CI(.9500)
  /MISSING=ANALYSIS.

T-TEST PAIRS=HBet2 WITH HPass2 (PAIRED)
  /CRITERIA=CI(.9500)
  /MISSING=ANALYSIS.

T-TEST PAIRS=HBet1 WITH HPass1 (PAIRED)
  /CRITERIA=CI(.9500)
  /MISSING=ANALYSIS.

****************************.
****************************.
*Breaking down the interaction*.
*EXCLUSION BLOCK*.
*One IV is prime type (bet vs pass). The other IV is hand value which of the critical trials (there are 10 levels of this IV)*.
*The DV is proportion of times the participant decided to bet*.
GLM NBet1 NBet2 NBet3 NBet4 NBet5 NBet6 NBet7 NBet8 NBet9 NBet10 
    NPass1 NPass2 NPass3 NPass4 NPass5 NPass6 NPass7 NPass8 NPass9 NPass10
  /WSFACTOR=prime 2 Polynomial hand 10 Polynomial 
  /METHOD=SSTYPE(3)
  /EMMEANS=TABLES(prime) COMPARE ADJ(LSD)
  /EMMEANS=TABLES(hand) COMPARE ADJ(LSD)
  /EMMEANS=TABLES(prime*hand) 
  /PRINT=DESCRIPTIVE ETASQ 
  /CRITERIA=ALPHA(.05)
  /WSDESIGN=prime hand prime*hand.
****************************.
*Breaking down the interaction*.
*EXCLUSION BLOCK*.
T-TEST PAIRS=NBet10 WITH NPass10 (PAIRED)
  /CRITERIA=CI(.9500)
  /MISSING=ANALYSIS.

T-TEST PAIRS=NBet9 WITH NPass9 (PAIRED)
  /CRITERIA=CI(.9500)
  /MISSING=ANALYSIS.

T-TEST PAIRS=NBet8 WITH NPass8 (PAIRED)
  /CRITERIA=CI(.9500)
  /MISSING=ANALYSIS.

T-TEST PAIRS=NBet7 WITH NPass7 (PAIRED)
  /CRITERIA=CI(.9500)
  /MISSING=ANALYSIS.

T-TEST PAIRS=NBet6 WITH NPass6 (PAIRED)
  /CRITERIA=CI(.9500)
  /MISSING=ANALYSIS.

T-TEST PAIRS=NBet5 WITH NPass5 (PAIRED)
  /CRITERIA=CI(.9500)
  /MISSING=ANALYSIS.

T-TEST PAIRS=NBet4 WITH NPass4 (PAIRED)
  /CRITERIA=CI(.9500)
  /MISSING=ANALYSIS.

T-TEST PAIRS=NBet3 WITH NPass3 (PAIRED)
  /CRITERIA=CI(.9500)
  /MISSING=ANALYSIS.

T-TEST PAIRS=NBet2 WITH NPass2 (PAIRED)
  /CRITERIA=CI(.9500)
  /MISSING=ANALYSIS.

T-TEST PAIRS=NBet1 WITH NPass1 (PAIRED)
  /CRITERIA=CI(.9500)
  /MISSING=ANALYSIS.









