﻿*Calculating PDP*.
*First, I am recomputing the trials with Pass-related primes in the INCLUSION BLOCK*.
*Higher numbers reflect pass-prime-consistent behavior (i.e. more passing)*.
COMPUTE HPassConsist1 = 1-HPass1.
COMPUTE HPassConsist2 = 1-HPass2.
COMPUTE HPassConsist3 = 1-HPass3.
COMPUTE HPassConsist4 = 1-HPass4.
COMPUTE HPassConsist5 = 1-HPass5.
COMPUTE HPassConsist6 = 1-HPass6.
COMPUTE HPassConsist7 = 1-HPass7.
COMPUTE HPassConsist8 = 1-HPass8.
COMPUTE HPassConsist9 = 1-HPass9.
COMPUTE HPassConsist10 = 1-HPass10.
EXECUTE.

*Next, I am averaging the pass-related prime consistent behavior with the bet-related prime consistent behavior*.
*Higher numbers reflect prime-consistent behavior (i.e. betting when primed with bet primes and passing when primed with pass primes)*.
COMPUTE HConsist1 = MEAN(HBet1, HPassConsist1).
COMPUTE HConsist2 = MEAN(HBet2, HPassConsist2).
COMPUTE HConsist3 = MEAN(HBet3, HPassConsist3).
COMPUTE HConsist4 = MEAN(HBet4, HPassConsist4).
COMPUTE HConsist5 = MEAN(HBet5, HPassConsist5).
COMPUTE HConsist6 = MEAN(HBet6, HPassConsist6).
COMPUTE HConsist7 = MEAN(HBet7, HPassConsist7).
COMPUTE HConsist8 = MEAN(HBet8, HPassConsist8).
COMPUTE HConsist9 = MEAN(HBet9, HPassConsist9).
COMPUTE HConsist10 = MEAN(HBet10, HPassConsist10).
EXECUTE.

*Now, I am recomputing the trials with Pass-related primes in the EXCLUSION BLOCK*.
*Higher numbers reflect pass-prime-consistent behavior (i.e. more passing)*.
COMPUTE NPassConsist1 = 1-NPass1.
COMPUTE NPassConsist2 = 1-NPass2.
COMPUTE NPassConsist3 = 1-NPass3.
COMPUTE NPassConsist4 = 1-NPass4.
COMPUTE NPassConsist5 = 1-NPass5.
COMPUTE NPassConsist6 = 1-NPass6.
COMPUTE NPassConsist7 = 1-NPass7.
COMPUTE NPassConsist8 = 1-NPass8.
COMPUTE NPassConsist9 = 1-NPass9.
COMPUTE NPassConsist10 = 1-NPass10.
EXECUTE.

*Next, I am averaging the pass-related prime consistent behavior with the bet-related prime consistent behavior*.
*Higher numbers reflect prime-consistent behavior (i.e. betting when primed with bet primes and passing when primed with pass primes)*.
COMPUTE NConsist1 = MEAN(NBet1, NPassConsist1).
COMPUTE NConsist2 = MEAN(NBet2, NPassConsist2).
COMPUTE NConsist3 = MEAN(NBet3, NPassConsist3).
COMPUTE NConsist4 = MEAN(NBet4, NPassConsist4).
COMPUTE NConsist5 = MEAN(NBet5, NPassConsist5).
COMPUTE NConsist6 = MEAN(NBet6, NPassConsist6).
COMPUTE NConsist7 = MEAN(NBet7, NPassConsist7).
COMPUTE NConsist8 = MEAN(NBet8, NPassConsist8).
COMPUTE NConsist9 = MEAN(NBet9, NPassConsist9).
COMPUTE NConsist10 = MEAN(NBet10, NPassConsist10).
EXECUTE.

*Now, I am computing 'C' or Control for each hand value*.
*Higher numbers reflect more control*.
COMPUTE Control1 = HConsist1 - NConsist1.
COMPUTE Control2 = HConsist2 - NConsist2.
COMPUTE Control3 = HConsist3 - NConsist3.
COMPUTE Control4 = HConsist4 - NConsist4.
COMPUTE Control5 = HConsist5 - NConsist5.
COMPUTE Control6 = HConsist6 - NConsist6.
COMPUTE Control7 = HConsist7 - NConsist7.
COMPUTE Control8 = HConsist8 - NConsist8.
COMPUTE Control9 = HConsist9 - NConsist9.
COMPUTE Control10 = HConsist10 - NConsist10.
EXECUTE.

*Now, I am computing 'A' or Automatic for each hand value*.
*Higher numbers reflect more automatic*.
COMPUTE Auto1 = NConsist1 / (1-Control1).
COMPUTE Auto2 = NConsist2 / (1-Control2).
COMPUTE Auto3 = NConsist3 / (1-Control3).
COMPUTE Auto4 = NConsist4 / (1-Control4).
COMPUTE Auto5 = NConsist5 / (1-Control5).
COMPUTE Auto6 = NConsist6 / (1-Control6).
COMPUTE Auto7 = NConsist7 / (1-Control7).
COMPUTE Auto8 = NConsist8 / (1-Control8).
COMPUTE Auto9 = NConsist9 / (1-Control9).
COMPUTE Auto10 = NConsist10 / (1-Control10).
EXECUTE.

*Finally, I am creating two types of hand values: ambiguous hand values (hand values 11-14) and unambiguous hand values (low hands: 8-10; high hands: 15-17).
COMPUTE ControlAmbig = MEAN(Control4, Control5, Control6, Control7).
COMPUTE ControlUnambig = MEAN(Control1, Control2, Control3, Control8, Control9, Control10).
COMPUTE AutoAmbig = MEAN(Auto4, Auto5, Auto6, Auto7).
COMPUTE AutoUnambig = MEAN(Auto1, Auto2, Auto3, Auto8, Auto9, Auto10).
EXECUTE.

**********************************************************************************************.
ANALYSES.
**********************************************************************************************.
*First, we will run a repeated measures ANOVA*.
*The IV is hand type: ambiguous vs unambiguous*.
*The DV is automatic estimates*.
GLM AutoAmbig AutoUnambig
  /WSFACTOR=Hand 2 Polynomial 
  /METHOD=SSTYPE(3)
  /PLOT=PROFILE(Hand)
  /EMMEANS=TABLES(Hand) 
  /PRINT=ETASQ 
  /CRITERIA=ALPHA(.05)
  /WSDESIGN=Hand.

*Next, we will run a repeated measures ANOVA*.
*The IV is hand type: ambiguous vs unambiguous*.
*The DV is control estimates*.
GLM ControlAmbig ControlUnambig
  /WSFACTOR=Hand 2 Polynomial 
  /METHOD=SSTYPE(3)
  /PLOT=PROFILE(Hand)
  /EMMEANS=TABLES(Hand) 
  /PRINT=ETASQ 
  /CRITERIA=ALPHA(.05)
  /WSDESIGN=Hand.



